# pyodv
-----

[![Upload Python Package](https://github.com/vliz-be-opsci/pyodv/actions/workflows/python-publish.yml/badge.svg)](https://github.com/vliz-be-opsci/pyodv/actions/workflows/python-publish.yml)

[![Checking Master Branch](https://github.com/vliz-be-opsci/pyodv/actions/workflows/build-master.yml/badge.svg)](https://github.com/vliz-be-opsci/pyodv/actions/workflows/build-master.yml)

-----

Python package for reading ODV (Ocean Data Variables) files

Started on 2022-05-13

## Setup
-----
Start using this project in a virtual environment

.. code-block:: bash

    $ virtualenv venv
    $ source venv/Scripts/activate
    $ pip install -r requirements.txt

Initialize to grab dependencies

.. code-block:: bash

    $ make init       # install dependencies
    $ make init-dev   # includes the previous + adds dependencies for developers

Build Docs

.. code-block:: bash

    $ make docu



## Developers
-----

Run Tests

.. code-block:: bash

    $ make test                                                   # to run all tests
    $ PYTEST_LOGCONF=debug-logconf.yml python tests/test_demo.py  # to run a specific test with specific logging


Check the code-style and syntax (flake8)

.. code-block:: bash

    $ make check
